import java.io.*;
import java.util.*;

public class Matrix {
	int[][] arr = new int[10][10];
	int N, M;

	class Square implements Comparable<Square> {
		int row, col;	// posisi (row,col) dari Square M x M

		int[] nums;		// nums[i] == 1 kalau ada angka i di Square ini,
						// kalau tidak maka nums[i] == 0
						// dimana i adalah angka antara 0..9

		// meng-inisialisai data untuk Square pada posisi[r][c]
		public Square(int r, int c){
			row = r;
			col = c;
			nums = new int[10]; // ter-inisialisasi sendiri dengan 0

			// mengisi nums[i] dengan 1 jika ada angka i di Square ini,
			// kalau tidak ada maka nums[i] = 0
			for (int i=0; i<M; i++)
				for (int j=0; j<M; j++)
					nums[arr[r+i][c+j]] = 1;
		}
	

		// menghitung kemunculan angka i dalam array nums
		int distinctCount(){
			int ret = 0;
			for (int i=0; i<10; i++)
				if (nums[i]==1) ret++;
			return ret;
		}

		// membandingkan dua Square sesuai yang diminta soal
		public int compareTo(Square that){
			int thisDistinct = this.distinctCount();
			int thatDistinct = that.distinctCount();

			// pertama tama, bandingkan jumlah angka yang berbeda
			if (thisDistinct != thatDistinct)
				return thisDistinct - thatDistinct;

			// kedua, bandingkan kemunculan tertinggi
			for (int i=9; i>=0; i--)
				if (this.nums[i] != that.nums[i])
					return that.nums[i] - this.nums[i];

			// ketiga, bandingkan baris
			if (this.row != that.row) return this.row - that.row;

			// perbandingan terakhir adalah kolom
			return this.col - that.col;
		}
	}

	public void solve(){
		Scanner scan = new Scanner(System.in);

		// baca input selama masih ada integer berikutnya
		while (scan.hasNextInt()){
			N = scan.nextInt(); // baca N
			M = scan.nextInt(); // baca M

			// membaca matrix N x N ke variable arr
			for (int i=0; i<N; i++)
				for (int j=0; j<N; j++)
					arr[i][j] = scan.nextInt();

			Square chosen = new Square(0,0);

			for (int i=0; i+M<=N; i++)
				for (int j=0; j+M<=N; j++){
					Square current = new Square(i,j);
					if (current.compareTo(chosen) < 0)
						chosen = current;
				}

			// output square yang terpilih
			System.out.printf("%d %d\n",chosen.row+1, chosen.col+1);
		}

		scan.close();
	}

	public static void main(String[] args){
		new Matrix().solve();
	}
}
